<?php
$tdatacountry = array();
$tdatacountry[".searchableFields"] = array();
$tdatacountry[".ShortName"] = "country";
$tdatacountry[".OwnerID"] = "";
$tdatacountry[".OriginalTable"] = "country";


$tdatacountry[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatacountry[".originalPagesByType"] = $tdatacountry[".pagesByType"];
$tdatacountry[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatacountry[".originalPages"] = $tdatacountry[".pages"];
$tdatacountry[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatacountry[".originalDefaultPages"] = $tdatacountry[".defaultPages"];

//	field labels
$fieldLabelscountry = array();
$fieldToolTipscountry = array();
$pageTitlescountry = array();
$placeHolderscountry = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelscountry["English"] = array();
	$fieldToolTipscountry["English"] = array();
	$placeHolderscountry["English"] = array();
	$pageTitlescountry["English"] = array();
	$fieldLabelscountry["English"]["CountryID"] = "Country ID";
	$fieldToolTipscountry["English"]["CountryID"] = "";
	$placeHolderscountry["English"]["CountryID"] = "";
	$fieldLabelscountry["English"]["CountryName"] = "Country Name";
	$fieldToolTipscountry["English"]["CountryName"] = "";
	$placeHolderscountry["English"]["CountryName"] = "";
	$fieldLabelscountry["English"]["Code"] = "Code";
	$fieldToolTipscountry["English"]["Code"] = "";
	$placeHolderscountry["English"]["Code"] = "";
	if (count($fieldToolTipscountry["English"]))
		$tdatacountry[".isUseToolTips"] = true;
}


	$tdatacountry[".NCSearch"] = true;



$tdatacountry[".shortTableName"] = "country";
$tdatacountry[".nSecOptions"] = 0;

$tdatacountry[".mainTableOwnerID"] = "";
$tdatacountry[".entityType"] = 0;
$tdatacountry[".connId"] = "eflejob_at_localhost";


$tdatacountry[".strOriginalTableName"] = "country";

	



$tdatacountry[".showAddInPopup"] = false;

$tdatacountry[".showEditInPopup"] = false;

$tdatacountry[".showViewInPopup"] = false;

	$tdatacountry[".listAjax"] = true;
//	temporary
//$tdatacountry[".listAjax"] = false;

	$tdatacountry[".audit"] = false;

	$tdatacountry[".locking"] = false;


$pages = $tdatacountry[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacountry[".edit"] = true;
	$tdatacountry[".afterEditAction"] = 1;
	$tdatacountry[".closePopupAfterEdit"] = 1;
	$tdatacountry[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacountry[".add"] = true;
$tdatacountry[".afterAddAction"] = 1;
$tdatacountry[".closePopupAfterAdd"] = 1;
$tdatacountry[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacountry[".list"] = true;
}



$tdatacountry[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacountry[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacountry[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacountry[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacountry[".printFriendly"] = true;
}



$tdatacountry[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacountry[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacountry[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacountry[".isUseAjaxSuggest"] = true;



			

$tdatacountry[".ajaxCodeSnippetAdded"] = false;

$tdatacountry[".buttonsAdded"] = false;

$tdatacountry[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacountry[".isUseTimeForSearch"] = false;


$tdatacountry[".badgeColor"] = "D2691E";


$tdatacountry[".allSearchFields"] = array();
$tdatacountry[".filterFields"] = array();
$tdatacountry[".requiredSearchFields"] = array();

$tdatacountry[".googleLikeFields"] = array();
$tdatacountry[".googleLikeFields"][] = "CountryID";
$tdatacountry[".googleLikeFields"][] = "CountryName";
$tdatacountry[".googleLikeFields"][] = "Code";



$tdatacountry[".tableType"] = "list";

$tdatacountry[".printerPageOrientation"] = 0;
$tdatacountry[".nPrinterPageScale"] = 100;

$tdatacountry[".nPrinterSplitRecords"] = 40;

$tdatacountry[".geocodingEnabled"] = false;










$tdatacountry[".pageSize"] = 20;

$tdatacountry[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatacountry[".strOrderBy"] = $tstrOrderBy;

$tdatacountry[".orderindexes"] = array();


$tdatacountry[".sqlHead"] = "SELECT CountryID,  	CountryName,  	Code";
$tdatacountry[".sqlFrom"] = "FROM country";
$tdatacountry[".sqlWhereExpr"] = "";
$tdatacountry[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacountry[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacountry[".arrGroupsPerPage"] = $arrGPP;

$tdatacountry[".highlightSearchResults"] = true;

$tableKeyscountry = array();
$tableKeyscountry[] = "CountryID";
$tdatacountry[".Keys"] = $tableKeyscountry;


$tdatacountry[".hideMobileList"] = array();




//	CountryID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "CountryID";
	$fdata["GoodName"] = "CountryID";
	$fdata["ownerTable"] = "country";
	$fdata["Label"] = GetFieldLabel("country","CountryID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "CountryID";

		$fdata["sourceSingle"] = "CountryID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CountryID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacountry["CountryID"] = $fdata;
		$tdatacountry[".searchableFields"][] = "CountryID";
//	CountryName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "CountryName";
	$fdata["GoodName"] = "CountryName";
	$fdata["ownerTable"] = "country";
	$fdata["Label"] = GetFieldLabel("country","CountryName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "CountryName";

		$fdata["sourceSingle"] = "CountryName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CountryName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacountry["CountryName"] = $fdata;
		$tdatacountry[".searchableFields"][] = "CountryName";
//	Code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Code";
	$fdata["GoodName"] = "Code";
	$fdata["ownerTable"] = "country";
	$fdata["Label"] = GetFieldLabel("country","Code");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Code";

		$fdata["sourceSingle"] = "Code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacountry["Code"] = $fdata;
		$tdatacountry[".searchableFields"][] = "Code";


$tables_data["country"]=&$tdatacountry;
$field_labels["country"] = &$fieldLabelscountry;
$fieldToolTips["country"] = &$fieldToolTipscountry;
$placeHolders["country"] = &$placeHolderscountry;
$page_titles["country"] = &$pageTitlescountry;


changeTextControlsToDate( "country" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["country"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["country"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_country()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "CountryID,  	CountryName,  	Code";
$proto0["m_strFrom"] = "FROM country";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "CountryID",
	"m_strTable" => "country",
	"m_srcTableName" => "country"
));

$proto6["m_sql"] = "CountryID";
$proto6["m_srcTableName"] = "country";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "CountryName",
	"m_strTable" => "country",
	"m_srcTableName" => "country"
));

$proto8["m_sql"] = "CountryName";
$proto8["m_srcTableName"] = "country";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "Code",
	"m_strTable" => "country",
	"m_srcTableName" => "country"
));

$proto10["m_sql"] = "Code";
$proto10["m_srcTableName"] = "country";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto12=array();
$proto12["m_link"] = "SQLL_MAIN";
			$proto13=array();
$proto13["m_strName"] = "country";
$proto13["m_srcTableName"] = "country";
$proto13["m_columns"] = array();
$proto13["m_columns"][] = "CountryID";
$proto13["m_columns"][] = "CountryName";
$proto13["m_columns"][] = "Code";
$obj = new SQLTable($proto13);

$proto12["m_table"] = $obj;
$proto12["m_sql"] = "country";
$proto12["m_alias"] = "";
$proto12["m_srcTableName"] = "country";
$proto14=array();
$proto14["m_sql"] = "";
$proto14["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto14["m_column"]=$obj;
$proto14["m_contained"] = array();
$proto14["m_strCase"] = "";
$proto14["m_havingmode"] = false;
$proto14["m_inBrackets"] = false;
$proto14["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto14);

$proto12["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto12);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="country";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_country = createSqlQuery_country();


	
		;

			

$tdatacountry[".sqlquery"] = $queryData_country;



$tdatacountry[".hasEvents"] = false;

?>